package com.heyu.api.baidu.handle.certificate;


import com.heyu.api.baidu.BaiduBaseHandle;
import com.heyu.api.baidu.request.certificate.BDivorceCertificateRequest;
import com.heyu.api.data.annotation.CustomPath;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * https://console.bce.baidu.com/support/?_=1740219852952&timestamp=1740323750254#/api?product=AI&project=%E6%96%87%E5%AD%97%E8%AF%86%E5%88%AB&parent=%E5%8D%A1%E8%AF%81OCR&api=rest%2F2.0%2Focr%2Fv1%2Fdivorce_certificate&method=post
 * <p>
 * <p>
 * 离婚证识别
 */
@Component
@Slf4j
@CustomPath("divorceCertificate")
public class BDivorceCertificateHandle extends BaiduBaseHandle<BDivorceCertificateRequest, Map> {

    @Override
    public String getUri() {
        return "/rest/2.0/ocr/v1/divorce_certificate";
    }

    @Override
    public String check(BDivorceCertificateRequest bDivorceCertificateRequest) {
        return checkPdf(bDivorceCertificateRequest);
    }

    @Override
    public String getContent(BDivorceCertificateRequest bDivorceCertificateRequest) {
        return getPdfContent(bDivorceCertificateRequest).toString();
    }
}
